module IOSProvisioningProfileParser
  # INFO: Based on https://github.com/fastlane/fastlane/blob/master/fastlane_core/lib/fastlane_core/provisioning_profile.rb
  # and http://maniak-dobrii.com/extracting-stuff-from-provisioning-profile/
  class ProvisioningProfileEntitlements
    attr_reader :dictionary

    def initialize(dictionary)
      @dictionary = dictionary
    end

    def keychain_access_groups
      return @dictionary["keychain-access-groups"]
    end

    def get_task_allow
      return @dictionary["get-task-allow"]
    end

    def security_application_groups
      return @dictionary["com.apple.security.application-groups"]
    end

    def aps_environment
      return @dictionary["aps-environment"]
    end
  end
end